Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.util
Class NameTableImpl

    java.lang.Object
      com.servingxml.util.NameTableImpl

All Implemented Interfaces:
  MutableNameTable, NameTable

    public class NameTableImpl

extends java.lang.Object
implements MutableNameTable

Implements a nameSymbol table of `Name` objects.

Constructor Summary
`NameTableImpl()`
`NameTableImpl(int initialNamespaceSize, int initialNameSize)`
`NameTableImpl(NameTable nameTable)`

Method Summary
`boolean` | `containsSymbol(int nameSymbol)`
`Name` | `createName(java.lang.String namespaceUri, java.lang.String localName)`
`Name[]` | `getNames()`
`java.lang.String` | `getNamespace(int namespaceIndex)`
`java.lang.String[]` | `getNamespaces()`
`int` | `getSymbol(Name name)`
`int` | `getSymbol(java.lang.String namespaceUri, java.lang.String localName)`
`int` | `lookupCreateNamespaceIndex(java.lang.String namespaceUri)`
`Name` | `lookupName(int nameSymbol)`
`int` | `lookupSymbol(Name name)`
`int` | `lookupSymbol(java.lang.String namespaceUri, java.lang.String localName)`
`void` | `printDiagnostics(java.io.PrintStream printStream)`
`int` | `size()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NameTableImpl

    public NameTableImpl()

### NameTableImpl

    public NameTableImpl(NameTable nameTable)

### NameTableImpl

    public NameTableImpl(int initialNamespaceSize,
                         int initialNameSize)

Method Detail

### size

    public int size()

  Specified by:
    `size` in interface `NameTable`

### getNamespace

    public java.lang.String getNamespace(int namespaceIndex)

  Specified by:
    `getNamespace` in interface `NameTable`

### getNames

    public Name[] getNames()

  Specified by:
    `getNames` in interface `NameTable`

### getNamespaces

    public java.lang.String[] getNamespaces()

  Specified by:
    `getNamespaces` in interface `NameTable`

### containsSymbol

    public boolean containsSymbol(int nameSymbol)

  Specified by:
    `containsSymbol` in interface `NameTable`

### lookupName

    public Name lookupName(int nameSymbol)

  Specified by:
    `lookupName` in interface `NameTable`

### getSymbol

    public int getSymbol(java.lang.String namespaceUri,
                         java.lang.String localName)

  Specified by:
    `getSymbol` in interface `MutableNameTable`

### lookupCreateNamespaceIndex

    public int lookupCreateNamespaceIndex(java.lang.String namespaceUri)

  Specified by:
    `lookupCreateNamespaceIndex` in interface `MutableNameTable`

### getSymbol

    public int getSymbol(Name name)

  Specified by:
    `getSymbol` in interface `MutableNameTable`

### lookupSymbol

    public int lookupSymbol(java.lang.String namespaceUri,
                            java.lang.String localName)

  Specified by:
    `lookupSymbol` in interface `NameTable`

### lookupSymbol

    public int lookupSymbol(Name name)

  Specified by:
    `lookupSymbol` in interface `NameTable`

### printDiagnostics

    public void printDiagnostics(java.io.PrintStream printStream)

  Specified by:
    `printDiagnostics` in interface `NameTable`

### createName

    public Name createName(java.lang.String namespaceUri,
                           java.lang.String localName)

  Specified by:
    `createName` in interface `MutableNameTable`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD